# bigip_static_route – Manipulate static routes on a BIG-IP

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manipulate static routes on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Descriptive text that identifies the route.
destination string |  | Specifies an IP address for the static entry in the routing table. When creating a new static route, this value is required. This value cannot be changed once it is set.
gateway_address string |  | Specifies the router for the system to use when forwarding packets to the destination host or network. Also known as the next-hop router address. This can be either an IPv4 or IPv6 address. When it is an IPv6 address that starts with `FE80:`, the address will be treated as a link-local address. This requires that the `vlan` parameter also be supplied.
mtu string |  | Specifies a specific maximum transmission unit (MTU).
name string / required |  | Name of the static route.
netmask string |  | The netmask for the static route. When creating a new static route, this value is required. This value can be in either IP or CIDR format. This value cannot be changed once it is set.
partition string added in 2.6 | Default: "Common" | Device partition to manage resources on.
pool string |  | Specifies the pool through which the system forwards packets to the destination.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

reject
boolean

Choices:
- no
- yes

Specifies that the system drops packets sent to the destination.

route_domain integer |  | The route domain id of the system. When creating a new static route, if this value is not specified, a default value of `0` will be used. This value cannot be changed once it is set.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the static route exists.
When `absent`, ensures that the static does not exist.

vlan string |  | Specifies the VLAN or Tunnel through which the system forwards packets to the destination. When `gateway_address` is a link-local IPv6 address, this value is required.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create static route with gateway address
      bigip_static_route:
        destination: 10.10.10.10
        netmask: 255.255.255.255
        gateway_address: 10.2.2.3
        name: test-route
        provider:
          password: secret
          server: lb.mydomain.come
          user: admin
          validate_certs: no
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | Whether the banner is enabled or not. Sample: True
destination string | changed | Whether the banner is enabled or not. Sample: True
gateway_address string | changed | Whether the banner is enabled or not. Sample: True
netmask string | changed | Netmask of the destination. Sample: 255.255.255.255
partition string | changed | The partition that the static route was created on. Sample: Common
pool string | changed | Whether the banner is enabled or not. Sample: True
reject string | changed | Whether the banner is enabled or not. Sample: True
route_domain integer | changed | Route domain of the static route. Sample: 1
vlan string | changed | Whether the banner is enabled or not. Sample: True

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.